Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::SenderOptions Struct Reference

`#include <AgoraBase.h>`

## Public Member Functions
| SenderOptions ()

## Public Attributes
TCcMode | ccMode
VIDEO_CODEC_TYPE | codecType
int | targetBitrate

## Detailed Description

The configuration for creating a local video track with an encoded image sender.

## Constructor & Destructor Documentation

## ◆ SenderOptions()

agora::rtc::SenderOptions::SenderOptions | ( |  | ) |
| inline

## Member Data Documentation

## ◆ ccMode

TCcMode agora::rtc::SenderOptions::ccMode

Whether to enable CC mode. See TCcMode.

## ◆ codecType

VIDEO_CODEC_TYPE agora::rtc::SenderOptions::codecType

The codec type used for the encoded images: VIDEO_CODEC_TYPE.

## ◆ targetBitrate

int agora::rtc::SenderOptions::targetBitrate

Target bitrate (Kbps) for video encoding.

Choose one of the following options:

- STANDARD_BITRATE: (Recommended) Standard bitrate.
  - Communication profile: The encoding bitrate equals the base bitrate.
  - Live-broadcast profile: The encoding bitrate is twice the base bitrate.
- COMPATIBLE_BITRATE: Compatible bitrate. The bitrate stays the same regardless of the profile.

The Communication profile prioritizes smoothness, while the Live Broadcast profile prioritizes video quality (requiring a higher bitrate). Agora recommends setting the bitrate mode as STANDARD_BITRATE or simply to address this difference.

The following table lists the recommended video encoder configurations, where the base bitrate applies to the communication profile. Set your bitrate based on this table. If the bitrate you set is beyond the proper range, the SDK automatically sets it to within the range.

| Resolution | Frame Rate (fps) | Base Bitrate (Kbps, for Communication) | Live Bitrate (Kbps, for Live Broadcast)| |---------------------—|---------------—|-------------------------------------—|-------------------------------------—| | 160 × 120 | 15 | 65 | 130 | | 120 × 120 | 15 | 50 | 100 | | 320 × 180 | 15 | 140 | 280 | | 180 × 180 | 15 | 100 | 200 | | 240 × 180 | 15 | 120 | 240 | | 320 × 240 | 15 | 200 | 400 | | 240 × 240 | 15 | 140 | 280 | | 424 × 240 | 15 | 220 | 440 | | 640 × 360 | 15 | 400 | 800 | | 360 × 360 | 15 | 260 | 520 | | 640 × 360 | 30 | 600 | 1200 | | 360 × 360 | 30 | 400 | 800 | | 480 × 360 | 15 | 320 | 640 | | 480 × 360 | 30 | 490 | 980 | | 640 × 480 | 15 | 500 | 1000 | | 480 × 480 | 15 | 400 | 800 | | 640 × 480 | 30 | 750 | 1500 | | 480 × 480 | 30 | 600 | 1200 | | 848 × 480 | 15 | 610 | 1220 | | 848 × 480 | 30 | 930 | 1860 | | 640 × 480 | 10 | 400 | 800 | | 1280 × 720 | 15 | 1130 | 2260 | | 1280 × 720 | 30 | 1710 | 3420 | | 960 × 720 | 15 | 910 | 1820 | | 960 × 720 | 30 | 1380 | 2760 | | 1920 × 1080 | 15 | 2080 | 4160 | | 1920 × 1080 | 30 | 3150 | 6300 | | 1920 × 1080 | 60 | 4780 | 6500 | | 2560 × 1440 | 30 | 4850 | 6500 | | 2560 × 1440 | 60 | 6500 | 6500 | | 3840 × 2160 | 30 | 6500 | 6500 | | 3840 × 2160 | 60 | 6500 | 6500 |